Improved language-handling in EPiServer 7

Calle Bjernekull
Member since: 2003
 

Been working on a EPiServer 7 project for about a month now. Both me and the customer finds the language manager is really hard to use. This is what's most annoying:

  • Why do I have to choose "display all languages" everytime. That setting should be default, in both Pages-list and sites-list. Cannot see any reason why this should be disabled by default
  • If I'm editing a page and choose to switch language below the "Sites"-tab, I'll be transfered to the EPiServer-startpage for some reason. I should be able to stay on the same page that I'm working on
  • There's no easy way to se what language I'm currently editing, this should be displayed as a flag or something that's always visible, like in all previous EPiServer-versions
  • Why isn't there an option to change master language for a certain page? It's really anoying when I want to edit a property that is not culturespecific, and the page happends to have another language as master. Acually, why can't I edit that property directlty, even if I'm not editing the masterpage? can't see any reason for this
  • Wish to be able to remove a language version. As it is now, once a language-version has been published, there's no way to remove it
#65506 Jan 31, 2013 9:29
  • Johan Petersson
    Member since: 2007
     
    #65514 Jan 31, 2013 10:34
  • Calle Bjernekull
    Member since: 2003
     

    Ok, I've installed the AddOn, but all TinyMce editors are gone, just an empty textarea everywhere. How do I uninstall the addon?

    #65592 Feb 01, 2013 16:20
  • Johan Petersson
    Member since: 2007
     

    The instructions says "Backup your site and VPP folder.". So I guess there is no simple rollback function.

    #65594 Feb 01, 2013 16:23
  • Calle Bjernekull
    Member since: 2003
     

    No, it doesn't work. When i restored the VPP-folders, all pages in EPiServer edit-mode are blank, cannot even see the pagetree. However if I look in the admin-area, I can see that EPiServer.Cms.Shell.UI has version 2.0.39.0, shouldn't that be 1.something?

    #65600 Edited, Feb 01, 2013 16:51
  • Calle Bjernekull
    Member since: 2003
     

    Oh, ant the tinymce, still won't work :-(

    #65601 Feb 01, 2013 16:53
  • Johan Petersson
    Member since: 2007
     

    SITE and vpp. So you have to restore your site to.

    #65602 Feb 01, 2013 16:55